package com.fjhx.customer.entity.xiaoman.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * @author hj
 * @date 2024年04月08日 9:45
 */
@Data
public class XiaomanUpdateInfoVO {
    //公司客户ID (创建时无需设置，更新时需要设置)
    @JSONField(name = "company_id")
    private Long companyId;
    //客户编号id->客户表customer_code
    @JSONField(name = "serial_id")
    private String serialId;
    //客户名称
    private String name;
    //客户简称
    @JSONField(name = "short_name")
    private String shortName;
    //网站主页
    private String homepage;
    //传真
    private Long fax;
    //客户电话区号
    @JSONField(name = "tel_area_code")
    private Long telAreaCode;
    //客户电话
    private Long tel;
    //地址
    private String address;
    //备注
    private String remark;
    //客户联系人
    private List<Customer> customers;
    //客户公海分组ID,默认为0
    @JSONField(name = "pool_id")
    private Integer poolId;
    //客户来源ID
    @JSONField(name = "origin_list")
    private List<Long> originList;
    //客户状态ID
    @JSONField(name = "trail_status")
    private Long trailStatus;

    @Data
    public static class Customer {
        //客户名称
        private String name;
        //客户简称
        private String email;
        //主要联系人设置标志
        @JSONField(name = "main_customer_flag")
        private String mainCustomerFlag;
        //客户联系人职位
        private String post;
        //客户联系人备注
        private String remark;
        //客户联系人生日
        private String birth;
        //客户联系人电话区号
        @JSONField(name = "tel_area_code")
        private Long telAreaCode;
        //客户联系人电话
        private Long tel;
        private String qq;
        private String linkedin;
        private String skype;
        private String whatsapp;
        private String facebook;
        private String wechat;
        private String twitter;
    }
}
